probe::nfs.proc.commit_setup
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfs.proc.commit_setup — NFS client setting up a commit RPC task

## Synopsis

    nfs.proc.commit_setup

## Values

`size`

  bytes in this commit

`bitmask1`

  V4 bitmask representing the set of attributes supported on this filesystem

`server_ip`

  IP address of server

`version`

  NFS version

`bitmask0`

  V4 bitmask representing the set of attributes supported on this filesystem

`prot`

  transfer protocol

`offset`

  the file offset

`count`

  bytes in this commit

## Description

The commit_setup function is used to setup a commit RPC task. Is is not doing the actual commit operation. It does not exist in NFSv2.

Prev | Up | Next
probe::nfs.proc.commit_done | Home | probe::nfs.proc.create